<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'employee',

    /*
     * Modules.
     */
    'modules'   => ['employee'],

    
    'employee'       => [
        'model' => [
            'model'                 => \Survey\Employee\Models\Employee::class,
            'table'                 => 'employees',
            'presenter'             => \Survey\Employee\Repositories\Presenter\EmployeePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'name',  'email',  'designation',  'age',  'dob',  'marital_status',  'gender',  'address',  'postcode',  'passport_no',  'birth_place',  'race',  'religion',  'dialect',  'bank_name',  'bank_branch',  'bank_account_no',  'contact_home',  'contact_mobile',  'contact_office',  'income_tax_no',  'pf_account_no',  'driving_licence_no',  'vehicle_type',  'family_details',  'educational_details',  'language_proficiency',  'employement_history',  'character_referees',  'emergency_contact',  'user_id',  'user_type',  'slug',  'signature',  'photo',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'employee/employee',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Employee',
            'module'    => 'Employee',
        ],

    ],
];
