<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: employees
         */
        Schema::create('employees', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('email', 30)->nullable();
            $table->string('designation', 30)->nullable();
            $table->string('age', 20)->nullable();
            $table->date('dob')->nullable();
            $table->enum('marital_status', ['Single','Married','Separated','Divorced','Widowed'])->nullable();
            $table->enum('gender', ['Male','Female'])->nullable();
            $table->text('address')->nullable();
            $table->string('postcode', 20)->nullable();
            $table->string('passport_no', 30)->nullable();
            $table->string('birth_place', 50)->nullable();
            $table->string('race', 50)->nullable();
            $table->string('religion', 50)->nullable();
            $table->string('dialect', 50)->nullable();
            $table->string('bank_name', 300)->nullable();
            $table->string('bank_branch', 255)->nullable();
            $table->string('bank_account_no', 50)->nullable();
            $table->string('contact_home', 30)->nullable();
            $table->string('contact_mobile', 30)->nullable();
            $table->string('contact_office', 30)->nullable();
            $table->string('income_tax_no', 30)->nullable();
            $table->string('pf_account_no', 30)->nullable();
            $table->string('driving_licence_no', 30)->nullable();
            $table->string('vehicle_type', 50)->nullable();
            $table->text('family_details')->nullable();
            $table->text('educational_details')->nullable();
            $table->text('language_proficiency')->nullable();
            $table->text('employement_history')->nullable();
            $table->text('character_referees')->nullable();
            $table->text('emergency_contact')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->string('slug', 255)->nullable();
            $table->text('signature')->nullable();
            $table->text('photo')->nullable();
            $table->increments(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('employees');
    }
}
