<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for employee in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  employee module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Employee',
    'names'         => 'Employees',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Employees',
        'sub'   => 'Employees',
        'list'  => 'List of employees',
        'edit'  => 'Edit employee',
        'create'    => 'Create new employee'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'marital_status'      => ['Single','Married','Separated','Divorced','Widowed'],
            'gender'              => ['Male','Female'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'designation'                => 'Please enter designation',
        'age'                        => 'Please enter age',
        'dob'                        => 'Please select dob',
        'marital_status'             => 'Please select marital status',
        'gender'                     => 'Please select gender',
        'address'                    => 'Please enter address',
        'postcode'                   => 'Please enter postcode',
        'passport_no'                => 'Please enter passport no',
        'birth_place'                => 'Please enter birth place',
        'race'                       => 'Please enter race',
        'religion'                   => 'Please enter religion',
        'dialect'                    => 'Please enter dialect',
        'bank_name'                  => 'Please enter bank name',
        'bank_branch'                => 'Please enter bank branch',
        'bank_account_no'            => 'Please enter bank account no',
        'contact_home'               => 'Please enter contact home',
        'contact_mobile'             => 'Please enter contact mobile',
        'contact_office'             => 'Please enter contact office',
        'income_tax_no'              => 'Please enter income tax no',
        'pf_account_no'              => 'Please enter pf account no',
        'driving_licence_no'         => 'Please enter driving licence no',
        'vehicle_type'               => 'Please enter vehicle type',
        'family_details'             => 'Please enter family details',
        'educational_details'        => 'Please enter educational details',
        'language_proficiency'        => 'Please enter language proficiency',
        'employement_history'        => 'Please enter employement history',
        'character_referees'         => 'Please enter character referees',
        'emergency_contact'          => 'Please enter emergency contact',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'slug'                       => 'Please enter slug',
        'signature'                  => 'Please enter signature',
        'photo'                      => 'Please enter photo',
        'created_at'                 => 'Please select created at',
        ')'                          => 'Please select )',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'designation'                => 'Designation',
        'age'                        => 'Age',
        'dob'                        => 'Dob',
        'marital_status'             => 'Marital status',
        'gender'                     => 'Gender',
        'address'                    => 'Address',
        'postcode'                   => 'Postcode',
        'passport_no'                => 'Passport no',
        'birth_place'                => 'Birth place',
        'race'                       => 'Race',
        'religion'                   => 'Religion',
        'dialect'                    => 'Dialect',
        'bank_name'                  => 'Bank name',
        'bank_branch'                => 'Bank branch',
        'bank_account_no'            => 'Bank account no',
        'contact_home'               => 'Contact home',
        'contact_mobile'             => 'Contact mobile',
        'contact_office'             => 'Contact office',
        'income_tax_no'              => 'Income tax no',
        'pf_account_no'              => 'Pf account no',
        'driving_licence_no'         => 'Driving licence no',
        'vehicle_type'               => 'Vehicle type',
        'family_details'             => 'Family details',
        'educational_details'        => 'Educational details',
        'language_proficiency'        => 'Language proficiency',
        'employement_history'        => 'Employement history',
        'character_referees'         => 'Character referees',
        'emergency_contact'          => 'Emergency contact',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'slug'                       => 'Slug',
        'signature'                  => 'Signature',
        'photo'                      => 'Photo',
        'created_at'                 => 'Created at',
        ')'                          => ')',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'designation'                => ['name' => 'Designation', 'data-column' => 4, 'checked'],
        'age'                        => ['name' => 'Age', 'data-column' => 5, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 6, 'checked'],
        'marital_status'             => ['name' => 'Marital status', 'data-column' => 7, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 8, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 9, 'checked'],
        'postcode'                   => ['name' => 'Postcode', 'data-column' => 10, 'checked'],
        'passport_no'                => ['name' => 'Passport no', 'data-column' => 11, 'checked'],
        'birth_place'                => ['name' => 'Birth place', 'data-column' => 12, 'checked'],
        'race'                       => ['name' => 'Race', 'data-column' => 13, 'checked'],
        'religion'                   => ['name' => 'Religion', 'data-column' => 14, 'checked'],
        'dialect'                    => ['name' => 'Dialect', 'data-column' => 15, 'checked'],
        'bank_name'                  => ['name' => 'Bank name', 'data-column' => 16, 'checked'],
        'bank_branch'                => ['name' => 'Bank branch', 'data-column' => 17, 'checked'],
        'bank_account_no'            => ['name' => 'Bank account no', 'data-column' => 18, 'checked'],
        'contact_home'               => ['name' => 'Contact home', 'data-column' => 19, 'checked'],
        'contact_mobile'             => ['name' => 'Contact mobile', 'data-column' => 20, 'checked'],
        'contact_office'             => ['name' => 'Contact office', 'data-column' => 21, 'checked'],
        'income_tax_no'              => ['name' => 'Income tax no', 'data-column' => 22, 'checked'],
        'pf_account_no'              => ['name' => 'Pf account no', 'data-column' => 23, 'checked'],
        'driving_licence_no'         => ['name' => 'Driving licence no', 'data-column' => 24, 'checked'],
        'vehicle_type'               => ['name' => 'Vehicle type', 'data-column' => 25, 'checked'],
        'family_details'             => ['name' => 'Family details', 'data-column' => 26, 'checked'],
        'educational_details'        => ['name' => 'Educational details', 'data-column' => 27, 'checked'],
        'language_proficiency'        => ['name' => 'Language proficiency', 'data-column' => 28, 'checked'],
        'employement_history'        => ['name' => 'Employement history', 'data-column' => 29, 'checked'],
        'character_referees'         => ['name' => 'Character referees', 'data-column' => 30, 'checked'],
        'emergency_contact'          => ['name' => 'Emergency contact', 'data-column' => 31, 'checked'],
        'signature'                  => ['name' => 'Signature', 'data-column' => 32, 'checked'],
        'photo'                      => ['name' => 'Photo', 'data-column' => 33, 'checked'],
        ')'                          => ['name' => ')', 'data-column' => 34, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Employees',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
