<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('employee::employee.name') !!} <small> {!! trans('app.manage') !!} {!! trans('employee::employee.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('employee::employee.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='employee-employee-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('employee/employee')!!}">{!! trans('employee::employee.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('employee/employee?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('employee/employee?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('employee/employee/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('employee::admin.employee.partial.actions')
                    -->
                    @include('employee::admin.employee.partial.filter')
                    @include('employee::admin.employee.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="employee-employee-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="employee-employee-check-all"></th>
                        <th data-field="company_id">{!! trans('employee::employee.label.company_id')!!}</th>
                    <th data-field="name">{!! trans('employee::employee.label.name')!!}</th>
                    <th data-field="email">{!! trans('employee::employee.label.email')!!}</th>
                    <th data-field="designation">{!! trans('employee::employee.label.designation')!!}</th>
                    <th data-field="age">{!! trans('employee::employee.label.age')!!}</th>
                    <th data-field="dob">{!! trans('employee::employee.label.dob')!!}</th>
                    <th data-field="marital_status">{!! trans('employee::employee.label.marital_status')!!}</th>
                    <th data-field="gender">{!! trans('employee::employee.label.gender')!!}</th>
                    <th data-field="address">{!! trans('employee::employee.label.address')!!}</th>
                    <th data-field="postcode">{!! trans('employee::employee.label.postcode')!!}</th>
                    <th data-field="passport_no">{!! trans('employee::employee.label.passport_no')!!}</th>
                    <th data-field="birth_place">{!! trans('employee::employee.label.birth_place')!!}</th>
                    <th data-field="race">{!! trans('employee::employee.label.race')!!}</th>
                    <th data-field="religion">{!! trans('employee::employee.label.religion')!!}</th>
                    <th data-field="dialect">{!! trans('employee::employee.label.dialect')!!}</th>
                    <th data-field="bank_name">{!! trans('employee::employee.label.bank_name')!!}</th>
                    <th data-field="bank_branch">{!! trans('employee::employee.label.bank_branch')!!}</th>
                    <th data-field="bank_account_no">{!! trans('employee::employee.label.bank_account_no')!!}</th>
                    <th data-field="contact_home">{!! trans('employee::employee.label.contact_home')!!}</th>
                    <th data-field="contact_mobile">{!! trans('employee::employee.label.contact_mobile')!!}</th>
                    <th data-field="contact_office">{!! trans('employee::employee.label.contact_office')!!}</th>
                    <th data-field="income_tax_no">{!! trans('employee::employee.label.income_tax_no')!!}</th>
                    <th data-field="pf_account_no">{!! trans('employee::employee.label.pf_account_no')!!}</th>
                    <th data-field="driving_licence_no">{!! trans('employee::employee.label.driving_licence_no')!!}</th>
                    <th data-field="vehicle_type">{!! trans('employee::employee.label.vehicle_type')!!}</th>
                    <th data-field="family_details">{!! trans('employee::employee.label.family_details')!!}</th>
                    <th data-field="educational_details">{!! trans('employee::employee.label.educational_details')!!}</th>
                    <th data-field="language_proficiency">{!! trans('employee::employee.label.language_proficiency')!!}</th>
                    <th data-field="employement_history">{!! trans('employee::employee.label.employement_history')!!}</th>
                    <th data-field="character_referees">{!! trans('employee::employee.label.character_referees')!!}</th>
                    <th data-field="emergency_contact">{!! trans('employee::employee.label.emergency_contact')!!}</th>
                    <th data-field="signature">{!! trans('employee::employee.label.signature')!!}</th>
                    <th data-field="photo">{!! trans('employee::employee.label.photo')!!}</th>
                    <th data-field=")">{!! trans('employee::employee.label.)')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#employee-employee-entry', '{!!guard_url('employee/employee/0')!!}');
    oTable = $('#employee-employee-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('employee/employee') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'company_id'},
            {data :'name'},
            {data :'email'},
            {data :'designation'},
            {data :'age'},
            {data :'dob'},
            {data :'marital_status'},
            {data :'gender'},
            {data :'address'},
            {data :'postcode'},
            {data :'passport_no'},
            {data :'birth_place'},
            {data :'race'},
            {data :'religion'},
            {data :'dialect'},
            {data :'bank_name'},
            {data :'bank_branch'},
            {data :'bank_account_no'},
            {data :'contact_home'},
            {data :'contact_mobile'},
            {data :'contact_office'},
            {data :'income_tax_no'},
            {data :'pf_account_no'},
            {data :'driving_licence_no'},
            {data :'vehicle_type'},
            {data :'family_details'},
            {data :'educational_details'},
            {data :'language_proficiency'},
            {data :'employement_history'},
            {data :'character_referees'},
            {data :'emergency_contact'},
            {data :'signature'},
            {data :'photo'},
            {data :')'},
        ],
        "pageLength": 25
    });

    $('#employee-employee-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#employee-employee-list').DataTable().row( this ).data();
        $('#employee-employee-entry').load('{!!guard_url('employee/employee')!!}' + '/' + d.id);
    });

    $('#employee-employee-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#employee-employee-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#employee-employee-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#employee-employee-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>