<?php

namespace Survey\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeeTransformer extends TransformerAbstract
{
    public function transform(\Survey\Employee\Models\Employee $employee)
    {
        return [
            'id'                => $employee->getRouteKey(),
            'key'               => [
                'public'    => $employee->getPublicKey(),
                'route'     => $employee->getRouteKey(),
            ], 
            'company_id'        => $employee->company_id,
            'name'              => $employee->name,
            'email'             => $employee->email,
            'designation'       => $employee->designation,
            'age'               => $employee->age,
            'dob'               => $employee->dob,
            'marital_status'    => $employee->marital_status,
            'gender'            => $employee->gender,
            'address'           => $employee->address,
            'postcode'          => $employee->postcode,
            'passport_no'       => $employee->passport_no,
            'birth_place'       => $employee->birth_place,
            'race'              => $employee->race,
            'religion'          => $employee->religion,
            'dialect'           => $employee->dialect,
            'bank_name'         => $employee->bank_name,
            'bank_branch'       => $employee->bank_branch,
            'bank_account_no'   => $employee->bank_account_no,
            'contact_home'      => $employee->contact_home,
            'contact_mobile'    => $employee->contact_mobile,
            'contact_office'    => $employee->contact_office,
            'income_tax_no'     => $employee->income_tax_no,
            'pf_account_no'     => $employee->pf_account_no,
            'driving_licence_no' => $employee->driving_licence_no,
            'vehicle_type'      => $employee->vehicle_type,
            'family_details'    => $employee->family_details,
            'educational_details' => $employee->educational_details,
            'language_proficiency' => $employee->language_proficiency,
            'employement_history' => $employee->employement_history,
            'character_referees' => $employee->character_referees,
            'emergency_contact' => $employee->emergency_contact,
            'user_id'           => $employee->user_id,
            'user_type'         => $employee->user_type,
            'slug'              => $employee->slug,
            'signature'         => $employee->signature,
            'photo'             => $employee->photo,
            ')'                 => $employee->),
            'deleted_at'        => $employee->deleted_at,
            'url'               => [
                'public'    => trans_url('employee/'.$employee->getPublicKey()),
                'user'      => guard_url('employee/employee/'.$employee->getRouteKey()),
            ], 
            'status'            => trans('app.'.$employee->status),
            'created_at'        => format_date($employee->created_at),
            'updated_at'        => format_date($employee->updated_at),
        ];
    }
}